std::jthread::~jthread(3)

NAME
std::jthread::~jthread - std::jthread::~jthread

Synopsis
   ~jthread(); (since C++20)
   Destroys the jthread object.
   If *this has an associated thread (joinable() == true), calls request_stop() and
   then join().

Notes
   The request_stop() has no effect if the jthread was previously requested to stop.
   A jthread object does not have an associated thread after
     * it was default-constructed
     * it was moved from
     * join() has been called
     * detach() has been called
   If join() throws an exception (e.g. because deadlock is detected), std::terminate()
   may be called.